---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetnotif001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x533E0, symBinAddr: 0x63E0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55320, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55710, symBinAddr: 0x8710, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x566B0, symBinAddr: 0x96B0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x566C0, symBinAddr: 0x96C0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52E40, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52E44, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52E48, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52F90, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53048, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5304C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53050, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53054, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53058, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53060, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53078, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53080, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53088, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53090, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53098, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x530DA, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL11access_lock, symObjAddr: 0x530E0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x530E8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL10enbl_scale, symObjAddr: 0x530F0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x913C, offset: 0x913C, size: 0x8, addend: 0x0, symName: __ZL8ev_scale, symObjAddr: 0x53150, symBinAddr: 0x6220, symSize: 0x0 }
  - { offsetInCU: 0x9155, offset: 0x9155, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x531B0, symBinAddr: 0x6280, symSize: 0x0 }
  - { offsetInCU: 0x916E, offset: 0x916E, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x531B8, symBinAddr: 0x6288, symSize: 0x0 }
  - { offsetInCU: 0x9187, offset: 0x9187, size: 0x8, addend: 0x0, symName: __ZL4flag, symObjAddr: 0x531C8, symBinAddr: 0x6298, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: __ZL20notifyFramePopThread, symObjAddr: 0x531D0, symBinAddr: 0x62A0, symSize: 0x0 }
  - { offsetInCU: 0x91C0, offset: 0x91C0, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x531D8, symBinAddr: 0x62A8, symSize: 0x0 }
  - { offsetInCU: 0x9212, offset: 0x9212, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x8D0, symSize: 0x80 }
  - { offsetInCU: 0x92A7, offset: 0x92A7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x820, symSize: 0xB0 }
  - { offsetInCU: 0x9302, offset: 0x9302, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x720, symSize: 0x100 }
  - { offsetInCU: 0x9595, offset: 0x9595, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x950, symSize: 0x220 }
  - { offsetInCU: 0x977A, offset: 0x977A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xB70, symSize: 0xA0 }
  - { offsetInCU: 0x982D, offset: 0x982D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xC10, symSize: 0x110 }
  - { offsetInCU: 0x9923, offset: 0x9923, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xD20, symSize: 0x150 }
  - { offsetInCU: 0x9A80, offset: 0x9A80, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xE70, symSize: 0x30 }
  - { offsetInCU: 0x9B41, offset: 0x9B41, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0xEA0, symSize: 0x150 }
  - { offsetInCU: 0x9D39, offset: 0x9D39, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0xFF0, symSize: 0x160 }
  - { offsetInCU: 0x9EC5, offset: 0x9EC5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1150, symSize: 0x1B0 }
  - { offsetInCU: 0xA0E0, offset: 0xA0E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1300, symSize: 0xA0 }
  - { offsetInCU: 0xA1AF, offset: 0xA1AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x13A0, symSize: 0x20 }
  - { offsetInCU: 0xA1E6, offset: 0xA1E6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x13C0, symSize: 0x20 }
  - { offsetInCU: 0xA21D, offset: 0xA21D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x13E0, symSize: 0x20 }
  - { offsetInCU: 0xA38C, offset: 0xA38C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1400, symSize: 0x1A0 }
  - { offsetInCU: 0xA6AA, offset: 0xA6AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x15A0, symSize: 0x80 }
  - { offsetInCU: 0xA773, offset: 0xA773, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1620, symSize: 0x6C0 }
  - { offsetInCU: 0xB2E9, offset: 0xB2E9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAD0, symBinAddr: 0x3100, symSize: 0xB0 }
  - { offsetInCU: 0xB360, offset: 0xB360, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x1CE0, symSize: 0x70 }
  - { offsetInCU: 0xB448, offset: 0xB448, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x1D50, symSize: 0xA0 }
  - { offsetInCU: 0xB573, offset: 0xB573, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x1DF0, symSize: 0x40 }
  - { offsetInCU: 0xB669, offset: 0xB669, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x1E30, symSize: 0x2B0 }
  - { offsetInCU: 0xBA0F, offset: 0xBA0F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x20E0, symSize: 0xC0 }
  - { offsetInCU: 0xBB55, offset: 0xBB55, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x21A0, symSize: 0x10 }
  - { offsetInCU: 0xBC17, offset: 0xBC17, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x21B0, symSize: 0x240 }
  - { offsetInCU: 0xBF00, offset: 0xBF00, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x23F0, symSize: 0x10 }
  - { offsetInCU: 0xBF5D, offset: 0xBF5D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2400, symSize: 0x350 }
  - { offsetInCU: 0xC192, offset: 0xC192, size: 0x8, addend: 0x0, symName: _enable, symObjAddr: 0xA250, symBinAddr: 0x2880, symSize: 0x140 }
  - { offsetInCU: 0xC2F8, offset: 0xC2F8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA070, symBinAddr: 0x2750, symSize: 0x10 }
  - { offsetInCU: 0xC373, offset: 0xC373, size: 0x8, addend: 0x0, symName: _mark, symObjAddr: 0xA080, symBinAddr: 0x2760, symSize: 0x120 }
  - { offsetInCU: 0xC53A, offset: 0xC53A, size: 0x8, addend: 0x0, symName: _setWatches, symObjAddr: 0xA390, symBinAddr: 0x29C0, symSize: 0x1B0 }
  - { offsetInCU: 0xC782, offset: 0xC782, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0xA540, symBinAddr: 0x2B70, symSize: 0x60 }
  - { offsetInCU: 0xC84F, offset: 0xC84F, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA5A0, symBinAddr: 0x2BD0, symSize: 0x90 }
  - { offsetInCU: 0xC9C2, offset: 0xC9C2, size: 0x8, addend: 0x0, symName: _MethodEntry, symObjAddr: 0xA630, symBinAddr: 0x2C60, symSize: 0x170 }
  - { offsetInCU: 0xCC0A, offset: 0xCC0A, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0xA7A0, symBinAddr: 0x2DD0, symSize: 0x20 }
  - { offsetInCU: 0xCC78, offset: 0xCC78, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xA7C0, symBinAddr: 0x2DF0, symSize: 0x90 }
  - { offsetInCU: 0xCD72, offset: 0xCD72, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0xA850, symBinAddr: 0x2E80, symSize: 0x20 }
  - { offsetInCU: 0xCDBF, offset: 0xCDBF, size: 0x8, addend: 0x0, symName: _ThreadEnd, symObjAddr: 0xA870, symBinAddr: 0x2EA0, symSize: 0x20 }
  - { offsetInCU: 0xCE0C, offset: 0xCE0C, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0xA890, symBinAddr: 0x2EC0, symSize: 0x20 }
  - { offsetInCU: 0xCE64, offset: 0xCE64, size: 0x8, addend: 0x0, symName: _ClassPrepare, symObjAddr: 0xA8B0, symBinAddr: 0x2EE0, symSize: 0x20 }
  - { offsetInCU: 0xCEBC, offset: 0xCEBC, size: 0x8, addend: 0x0, symName: _Exception, symObjAddr: 0xA8D0, symBinAddr: 0x2F00, symSize: 0x20 }
  - { offsetInCU: 0xCF49, offset: 0xCF49, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0xA8F0, symBinAddr: 0x2F20, symSize: 0x20 }
  - { offsetInCU: 0xCFD6, offset: 0xCFD6, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0xA910, symBinAddr: 0x2F40, symSize: 0x20 }
  - { offsetInCU: 0xD07B, offset: 0xD07B, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA930, symBinAddr: 0x2F60, symSize: 0x20 }
  - { offsetInCU: 0xD0E4, offset: 0xD0E4, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0xA950, symBinAddr: 0x2F80, symSize: 0x20 }
  - { offsetInCU: 0xD14D, offset: 0xD14D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetEventNotificationMode_setnotif001_enableEv, symObjAddr: 0xA970, symBinAddr: 0x2FA0, symSize: 0x80 }
  - { offsetInCU: 0xD23B, offset: 0xD23B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetEventNotificationMode_setnotif001_getRes, symObjAddr: 0xA9F0, symBinAddr: 0x3020, symSize: 0xE0 }
  - { offsetInCU: 0xD2D7, offset: 0xD2D7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAB80, symBinAddr: 0x31B0, symSize: 0x36A }
...
